# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductRelatedProductCategory Class Reference

`#include <StepBasic_ProductRelatedProductCategory.hxx>`

Inheritance diagram for StepBasic_ProductRelatedProductCategory:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductRelatedProductCategory ()
| Returns a ProductRelatedProductCategory .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAdescription, const Handle(TCollection_HAsciiString)&aDescription)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAdescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_HArray1OfProduct)&aProducts)
Standard_EXPORT void | SetProducts (const Handle(StepBasic_HArray1OfProduct)&aProducts)
Standard_EXPORT Handle_StepBasic_HArray1OfProduct | Products () const
Standard_EXPORT Handle_StepBasic_Product | ProductsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbProducts () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_HArray1OfProduct | products

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductRelatedProductCategory::StepBasic_ProductRelatedProductCategory | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ProductRelatedProductCategory::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ProductCategory. Reimplemented in StepBasic_ProductType.

virtual Standard_EXPORT void StepBasic_ProductRelatedProductCategory::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAdescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_HArray1OfProduct)& | aProducts
| ) | `[virtual]`

virtual Standard_EXPORT void StepBasic_ProductRelatedProductCategory::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAdescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

| Reimplemented from StepBasic_ProductCategory.

Standard_EXPORT Standard_Integer StepBasic_ProductRelatedProductCategory::NbProducts | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_HArray1OfProduct StepBasic_ProductRelatedProductCategory::Products | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Product StepBasic_ProductRelatedProductCategory::ProductsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepBasic_ProductRelatedProductCategory::SetProducts | ( | const Handle(StepBasic_HArray1OfProduct)& | aProducts | ) |

## Field Documentation

Handle_StepBasic_HArray1OfProduct StepBasic_ProductRelatedProductCategory::products `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductRelatedProductCategory.hxx